# TasksManager Pipeline Image

This is to build a [**container image**](https://www.docker.com/resources/what-container) by following a
[LibreCloud Termas CD/CI](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci) procedures.

It is based in [Running a Cron Job in Docker Container](https://blog.knoldus.com/running-a-cron-job-in-docker-container) with code in [docker-com](https://github.com/nehabhardwaj01/docker-cron).

This image includes:

- bash, vim, bzip, gnugpg, git, curl, wget, curl, ssmtp, supervisor, dcron
- [s3cmd](https://s3tools.org/s3cmd) via python3
- [scaleway cli](https://github.com/scaleway/scaleway-cli)
- [digital ocean cli](https://github.com/digitalocean/doctl)
- [upcloud cli](https://github.com/UpCloudLtd/upcloud-cli)
- [aws cli](https://github.com/aws/aws-cli) 
- [google cloud cli](https://cloud.google.com/sdk/docs/install)
- [restic](https://restic.net/)
- [jq](https://stedolan.github.io/jq/)
- [yq](https://mikefarah.github.io/yq/)
- [kubectl](https://kubernetes.io/docs/reference/kubectl/overview/)


[Container image](https://www.docker.com/resources/what-container) can be found in [**src** Dockerfile](https://repo.librecloud.services/termas_librecloud/sql-mariadb/src/branch/master/src/Dockerfile)

[Tekton Pipeline](https://github.com/tektoncd/pipeline) can be found in [**pipeline** directory](https://repo.librecloud.services/termas_librecloud/sql-mariadb/src/branch/master/pipeline).

## Configuration

[LibreCloud Termas CD/CI configuation](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#configuration)

## Pipeline

[LibreCloud Termas CD/CI pipeline](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#pipeline)

## Service

A [sql-mariadb image](https://repo.librecloud.services/termas_librecloud/sql-mariadb) configured service can be found in [LibreCloud site services](https://repo.librecloud.services/services_librecloud/site) as an implementation of [LibreCloud Services](https://repo.librecloud.services/services_librecloud/librecloud-services)

In most cases final service will need additional or multiple [containers](https://www.docker.com/resources/what-container) to run, as [init containers](https://kubernetes.io/docs/concepts/workloads/pods/init-containers/) or [sidecar containers](https://kubernetes.io/docs/concepts/workloads/pods/pod-overview/).

## Install

[LibreCloud Termas CD/CI installation](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#install)

## Task list

[LibreCloud Termas CD/CI task list](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#terma-tasks-list)

## Directory content

[LibreCloud Termas CD/CI Directory content](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#directory-content)

## References

Use [LibreCloud Termas CD/CI References](https://repo.librecloud.services/termas_librecloud/librecloud-termas-cd-ci#references)
